## ros-melodic-mavros-msgs 1.5.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(mavros_msgs)

find_package(catkin REQUIRED COMPONENTS geographic_msgs geometry_msgs message_generation sensor_msgs std_msgs)

include_directories(include)

add_message_files(
  DIRECTORY msg
  FILES
  ADSBVehicle.msg
  ActuatorControl.msg
  Altitude.msg
  AttitudeTarget.msg
  BatteryStatus.msg
  CamIMUStamp.msg
  CommandCode.msg
  CompanionProcessStatus.msg
  OnboardComputerStatus.msg
  DebugValue.msg
  ESCInfo.msg
  ESCInfoItem.msg
  ESCStatus.msg
  ESCStatusItem.msg
  EstimatorStatus.msg
  ExtendedState.msg
  FileEntry.msg
  GlobalPositionTarget.msg
  GPSRAW.msg
  GPSRTK.msg
  HilActuatorControls.msg
  HilControls.msg
  HilGPS.msg
  HilSensor.msg
  HilStateQuaternion.msg
  HomePosition.msg
  LandingTarget.msg
  LogData.msg
  LogEntry.msg
  ManualControl.msg
  Mavlink.msg
  MountControl.msg
  OpticalFlowRad.msg
  OverrideRCIn.msg
  Param.msg
  ParamValue.msg
  PlayTuneV2.msg
  PositionTarget.msg
  RCIn.msg
  RCOut.msg
  RTCM.msg
  RadioStatus.msg
  RTKBaseline.msg
  State.msg
  StatusText.msg
  Thrust.msg
  TimesyncStatus.msg
  Trajectory.msg
  VFR_HUD.msg
  VehicleInfo.msg
  Vibration.msg
  Waypoint.msg
  WaypointList.msg
  WaypointReached.msg
  WheelOdomStamped.msg
)

add_service_files(
  DIRECTORY srv
  FILES
  CommandBool.srv
  CommandHome.srv
  CommandInt.srv
  CommandLong.srv
  CommandTOL.srv
  CommandTriggerControl.srv
  CommandTriggerInterval.srv
  CommandVtolTransition.srv
  FileChecksum.srv
  FileClose.srv
  FileList.srv
  FileMakeDir.srv
  FileOpen.srv
  FileRead.srv
  FileRemove.srv
  FileRemoveDir.srv
  FileRename.srv
  FileTruncate.srv
  FileWrite.srv
  LogRequestData.srv
  LogRequestEnd.srv
  LogRequestList.srv
  MountConfigure.srv
  MessageInterval.srv
  ParamGet.srv
  ParamPull.srv
  ParamPush.srv
  ParamSet.srv
  SetMavFrame.srv
  SetMode.srv
  StreamRate.srv
  VehicleInfoGet.srv
  WaypointClear.srv
  WaypointPull.srv
  WaypointPush.srv
  WaypointSetCurrent.srv
)

# add_action_files(
#   DIRECTORY action
#   FILES
#   Action1.action
#   Action2.action
# )

generate_messages(DEPENDENCIES geographic_msgs geometry_msgs sensor_msgs std_msgs)

catkin_package(
  INCLUDE_DIRS include
  CATKIN_DEPENDS geographic_msgs geometry_msgs message_runtime sensor_msgs std_msgs)

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h")

=== debian/changelog ===
ros-melodic-mavros-msgs (1.5.0-1stretch) stretch; urgency=high

  * mavros_msgs/VehicleInfo: Add flight_custom_version field
    Mirroring the field in the corresponding MAVLink message.
  * mavros_msgs/State: Fix PX4 flight mode constants
    Turns out ROS message string literals don't need quotes,
    so adding quotes creates strings including the quotes.
  * mavros_msgs/State: Add flight mode constants
  * mavros_msgs: Don't move temporary objects
  * Contributors: Morten Fyhn Amundsen

 -- Vladimir Ermakov <vooon341@gmail.com>  Wed, 11 Nov 2020 00:00:00 -0000

ros-melodic-mavros-msgs (1.4.0-1stretch) stretch; urgency=high

  * play_tune: Assign tune format directly
  * play_tune: Write new plugin
  * Contributors: Morten Fyhn Amundsen

 -- Vladimir Ermakov <vooon341@gmail.com>  Fri, 11 Sep 2020 00:00:00 -0000

ros-melodic-mavros-msgs (1.3.0-1stretch) stretch; urgency=high

  * Add esc_status plugin.
  * Add gps_status plugin to publish GPS_RAW and GPS_RTK messages from FCU.
    The timestamps for the gps_status topics take into account the mavlink time and uses the convienence function
  * adding support for publishing rtkbaseline msgs over ROS
  * Contributors: CSCE439, Dr.-Ing. Amilcar do Carmo Lucas, Ricardo Marques

 -- Vladimir Ermakov <vooon341@gmail.com>  Sat, 08 Aug 2020 00:00:00 -0000

ros-melodic-mavros-msgs (1.2.0-1stretch) stretch; urgency=high

  * add yaw to CMD_DO_SET_HOME
  * Contributors: David Jablonski

 -- Vladimir Ermakov <vooon341@gmail.com>  Fri, 22 May 2020 00:00:00 -0000

ros-melodic-mavros-msgs (1.1.0-1stretch) stretch; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Sat, 04 Apr 2020 00:00:00 -0000

ros-melodic-mavros-msgs (1.0.0-1stretch) stretch; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Wed, 01 Jan 2020 00:00:00 -0000

ros-melodic-mavros-msgs (0.33.4-1stretch) stretch; urgency=high

  * Splitted the message fields.
  * Updated esimator status msg according to the new cog based definition of estimator status.
  * Added comments to msg.
  * Added new line char at end of message.
  * Added a publisher for estimator status message received from mavlink in sys_status.
  * Contributors: saifullah3396

 -- Vladimir Ermakov <vooon341@gmail.com>  Thu, 12 Dec 2019 00:00:00 -0000

ros-melodic-mavros-msgs (0.33.3-1stretch) stretch; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Wed, 13 Nov 2019 00:00:00 -0000

ros-melodic-mavros-msgs (0.33.2-1stretch) stretch; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Wed, 13 Nov 2019 00:00:00 -0000

ros-melodic-mavros-msgs (0.33.1-1stretch) stretch; urgency=high

  * resolved merge conflict
  * Contributors: David Jablonski

 -- Vladimir Ermakov <vooon341@gmail.com>  Mon, 11 Nov 2019 00:00:00 -0000

ros-melodic-mavros-msgs (0.33.0-1stretch) stretch; urgency=high

  * Add vtol transition service
  * Apply comments
  * Add mount configure service message
  * cog: Update all generated code
  * added manual flag to mavros/state
  * use header.stamp to fill mavlink msg field time_usec
  * use cog for copy
  * adapt message and plugin after mavlink message merge
  * rename message and adjust fields
  * add component id to mavros message to distinguish ROS msgs from different systems
  * component_status message and plugin draft
  * Contributors: David Jablonski, Jaeyoung-Lim, Vladimir Ermakov, baumanta

 -- Vladimir Ermakov <vooon341@gmail.com>  Thu, 10 Oct 2019 00:00:00 -0000

ros-melodic-mavros-msgs (0.32.2-1stretch) stretch; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Mon, 09 Sep 2019 00:00:00 -0000

ros-melodic-mavros-msgs (0.32.1-1stretch) stretch; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Thu, 08 Aug 2019 00:00:00 -0000

ros-melodic-mavros-msgs (0.32.0-1stretch) stretch; urgency=high

  * add mav_cmd associated with each point in trajectory plugin
  * Use MountControl Msg
  * Define new MountControl.msg
  * Contributors: Jaeyoung-Lim, Martina Rivizzigno

 -- Vladimir Ermakov <vooon341@gmail.com>  Sat, 06 Jul 2019 00:00:00 -0000

ros-melodic-mavros-msgs (0.31.0-1stretch) stretch; urgency=high

  * mavros_msgs: LandingTarget: update msg description link
  * extras: landing target: improve usability and flexibility
  * Contributors: TSC21

 -- Vladimir Ermakov <vooon341@gmail.com>  Fri, 07 Jun 2019 00:00:00 -0000

ros-melodic-mavros-msgs (0.30.0-1stretch) stretch; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Mon, 20 May 2019 00:00:00 -0000

ros-melodic-mavros-msgs (0.29.2-1stretch) stretch; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Wed, 06 Mar 2019 00:00:00 -0000

ros-melodic-mavros-msgs (0.29.1-1stretch) stretch; urgency=high

  * All: catkin lint files
  * mavros_msgs: Fix line endings for OpticalFlowRad message
  * Contributors: Pierre Kancir, sfalexrog

 -- Vladimir Ermakov <vooon341@gmail.com>  Sun, 03 Mar 2019 00:00:00 -0000

ros-melodic-mavros-msgs (0.29.0-1stretch) stretch; urgency=high

  * Fix broken documentation URLs
  * Merge branch 'master' into param-timeout
  * mavros_extras: Wheel odometry plugin updated according to the final mavlink WHEEL_DISTANCE message.
  * mavros_msgs: Float32ArrayStamped replaced by WheelOdomStamped.
  * mavros_msgs: Float32ArrayStamped message added.
    For streaming timestamped data from FCU sensors (RPM, WHEEL_DISTANCE, etc.)
  * msgs: Fix message id type, mavlink v2 uses 24 bit msg ids
  * mavros_msgs: add MessageInterval.srv to CMakeLists
  * sys_status: add set_message_interval service
  * Contributors: Dr.-Ing. Amilcar do Carmo Lucas, Pavlo Kolomiiets, Randy Mackay, Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Sat, 02 Feb 2019 00:00:00 -0000

ros-melodic-mavros-msgs (0.28.0-1stretch) stretch; urgency=high

  * plugin:param: publish new param value
  * Merge pull request #1148 <https://github.com/mavlink/mavros/issues/1148> from Kiwa21/pr-param-value
    param plugin : add msg and publisher to catch latest param value
  * msgs: update Header


=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-mavros-msgs//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install

## ros-melodic-mavros-msgs 1.16.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -14,6 +14,8 @@
   AttitudeTarget.msg
   BatteryStatus.msg
   CamIMUStamp.msg
+  CellularStatus.msg
+  CameraImageCaptured.msg
   CommandCode.msg
   CompanionProcessStatus.msg
   OnboardComputerStatus.msg
@@ -22,10 +24,13 @@
   ESCInfoItem.msg
   ESCStatus.msg
   ESCStatusItem.msg
+  ESCTelemetry.msg
+  ESCTelemetryItem.msg
   EstimatorStatus.msg
   ExtendedState.msg
   FileEntry.msg
   GlobalPositionTarget.msg
+  GPSINPUT.msg
   GPSRAW.msg
   GPSRTK.msg
   HilActuatorControls.msg
@@ -37,9 +42,11 @@
   LandingTarget.msg
   LogData.msg
   LogEntry.msg
+  MagnetometerReporter.msg
   ManualControl.msg
   Mavlink.msg
   MountControl.msg
+  NavControllerOutput.msg
   OpticalFlowRad.msg
   OverrideRCIn.msg
   Param.msg
@@ -53,9 +60,11 @@
   RTKBaseline.msg
   State.msg
   StatusText.msg
+  TerrainReport.msg
   Thrust.msg
   TimesyncStatus.msg
   Trajectory.msg
+  Tunnel.msg
   VFR_HUD.msg
   VehicleInfo.msg
   Vibration.msg
@@ -68,6 +77,7 @@
 add_service_files(
   DIRECTORY srv
   FILES
+  CommandAck.srv
   CommandBool.srv
   CommandHome.srv
   CommandInt.srv
@@ -119,6 +129,7 @@
   INCLUDE_DIRS include
   CATKIN_DEPENDS geographic_msgs geometry_msgs message_runtime sensor_msgs std_msgs)
 
-install(DIRECTORY include/${PROJECT_NAME}/
+install(
+  DIRECTORY include/${PROJECT_NAME}/
   DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
   FILES_MATCHING PATTERN "*.h")

=== debian/changelog ===
ros-melodic-mavros-msgs (1.16.0-1bionic) bionic; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Fri, 05 May 2023 00:00:00 -0000

ros-melodic-mavros-msgs (1.15.0-1bionic) bionic; urgency=high

  * Merge pull request #1811 <https://github.com/mavlink/mavros/issues/1811> from scoutdi/debug-float-array
    Implement debug float array handler
  * Implement debug float array handler
    Co-authored-by: Morten Fyhn Amundsen <mailto:morten.f.amundsen@scoutdi.com>
  * Contributors: Sverre Velten Rothmund, Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Fri, 30 Dec 2022 00:00:00 -0000

ros-melodic-mavros-msgs (1.14.0-1bionic) bionic; urgency=high

  * Merge pull request #1742 <https://github.com/mavlink/mavros/issues/1742> from amilcarlucas/correct_rpm_units
    ESCTelemetryItem.msg: correct RPM units
  * ESCTelemetryItem.msg: correct RPM units
  * Merge pull request #1727 <https://github.com/mavlink/mavros/issues/1727> from BV-OpenSource/pr-cellular-status
    Pr cellular status
  * Add CellularStatus plugin and message
  * Contributors: Dr.-Ing. Amilcar do Carmo Lucas, Rui Mendes, Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Sat, 24 Sep 2022 00:00:00 -0000

ros-melodic-mavros-msgs (1.13.0-1bionic) bionic; urgency=high

  * Merge pull request #1690 <https://github.com/mavlink/mavros/issues/1690> from mavlink/fix-enum_sensor_orientation
    Fix enum sensor_orientation
  * re-generate all coglets
  * Merge pull request #1680 <https://github.com/mavlink/mavros/issues/1680> from AndersonRayner/new_mav_frames
    Add extra MAV_FRAMES to waypoint message
  * Merge pull request #1677 <https://github.com/mavlink/mavros/issues/1677> from AndersonRayner/add_terrain
    Add plugin for reporting terrain height estimate from the FCU
  * More explicitly state "TerrainReport" to allow for future extension of the plugin to support other terrain messages
  * Add extra MAV_FRAMES to waypoint message as defined in https://mavlink.io/en/messages/common.html
  * Add plugin for reporting terrain height estimate from FCU
  * Contributors: Vladimir Ermakov, matt

 -- Vladimir Ermakov <vooon341@gmail.com>  Thu, 13 Jan 2022 00:00:00 -0000

ros-melodic-mavros-msgs (1.12.2-1bionic) bionic; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Sun, 12 Dec 2021 00:00:00 -0000

ros-melodic-mavros-msgs (1.12.1-1bionic) bionic; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Mon, 29 Nov 2021 00:00:00 -0000

ros-melodic-mavros-msgs (1.12.0-1bionic) bionic; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Sat, 27 Nov 2021 00:00:00 -0000

ros-melodic-mavros-msgs (1.11.1-1bionic) bionic; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Wed, 24 Nov 2021 00:00:00 -0000

ros-melodic-mavros-msgs (1.11.0-1bionic) bionic; urgency=high

  * msgs: use pragmas to ignore unaligned pointer warnings
  * msgs: fix convert const
  * msgs: try to hide 'unaligned pointer' warning
  * Merge pull request #1651 <https://github.com/mavlink/mavros/issues/1651> from Jaeyoung-Lim/pr-image-capture-plugin
    Add camera plugin for interfacing with mavlink camera protocol
  * Address review comments
  * Add camera plugin for interfacing with mavlink camera protocol
    Add camera image captured message for handling camera trigger information
  * msgs: add yaw field to GPS_INPUT
  * Contributors: Jaeyoung-Lim, Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Wed, 24 Nov 2021 00:00:00 -0000

ros-melodic-mavros-msgs (1.10.0-1bionic) bionic; urgency=high

  * msgs: update gpsraw to have yaw field
  * Merge pull request #1625 <https://github.com/mavlink/mavros/issues/1625> from scoutdi/tunnel-plugin
    Plugin for TUNNEL messages
  * Tunnel.msg: Generate enum with cog
  * mavros_msgs: Add Tunnel message
  * Merge pull request #1623 <https://github.com/mavlink/mavros/issues/1623> from amilcarlucas/pr/more-typo-fixes
    More typo fixes
  * MountControl.msg: fix copy-paste
  * Contributors: Dr.-Ing. Amilcar do Carmo Lucas, Morten Fyhn Amundsen, Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Thu, 04 Nov 2021 00:00:00 -0000

ros-melodic-mavros-msgs (1.9.0-1bionic) bionic; urgency=high

  * Merge pull request #1616 <https://github.com/mavlink/mavros/issues/1616> from amilcarlucas/pr/RC_CHANNELS-mavlink2-extensions
    Mavlink v2.0 specs for RC_CHANNELS_OVERRIDE accepts upto 18 channels.…
  * Changed OverrideRCIn to 18 channels
  * Merge pull request #1617 <https://github.com/mavlink/mavros/issues/1617> from amilcarlucas/pr/NAV_CONTROLLER_OUTPUT-plugin
    Added NAV_CONTROLLER_OUTPUT Plugin
  * Merge pull request #1618 <https://github.com/mavlink/mavros/issues/1618> from amilcarlucas/pr/GPS_INPUT-plugin
    Added GPS_INPUT plugin
  * Mavlink v2.0 specs for RC_CHANNELS_OVERRIDE accepts upto 18 channels. The plugin publishes channels 9 to 18 if the FCU protocol version is 2.0
  * Added NAV_CONTROLLER_OUTPUT Plugin
  * Added GPS_INPUT plugin
  * Merge branch 'master' into master
  * Update esc_status plugin with datatype change on MAVLink.
    ESC_INFO MAVLink message was updated to have negative temperates and also at a different resolution. This commit updates those changes on this side.
  * Remove Mount_Status plugin. Add Status data to Mount_Control plugin. Remove Mount_Status message.
  * msgs: fix types for apm's esc telemetry
  * actually allocate memory for the telemetry information
  * added esc_telemetry plugin
  * Add Mount angles message for communications with ardupilotmega.
  * Remove extra message from CMakeLists.
  * Add message and service definition.
  * Contributors: Abhijith Thottumadayil Jagadeesh, André Filipe, Dr.-Ing. Amilcar do Carmo Lucas, Karthik Desai, Ricardo Marques, Russell, Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Thu, 09 Sep 2021 00:00:00 -0000

ros-melodic-mavros-msgs (1.8.0-1bionic) bionic; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Wed, 05 May 2021 00:00:00 -0000



=== debian/control ===
Source: ros-melodic-mavros-msgs
Section: misc
Priority: optional
Maintainer: Vladimir Ermakov <vooon341@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-geographic-msgs, ros-melodic-geometry-msgs, ros-melodic-message-generation, ros-melodic-sensor-msgs, ros-melodic-std-msgs
Homepage: http://wiki.ros.org/mavros_msgs
Standards-Version: 3.9.2

Package: ros-melodic-mavros-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-geographic-msgs, ros-melodic-geometry-msgs, ros-melodic-message-runtime, ros-melodic-sensor-msgs, ros-melodic-std-msgs
Description: mavros_msgs defines messages for MAVROS.

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"
+		-DCMAKE_PREFIX_PATH="/opt/ros/melodic" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
